1

I have been running my code which involves deployment of smart contract to Ethereum Ropsten network. I ran this successfully for some time but last week did installed another software after which started getting these errors: command: solc --combined-json abi,asm,ast,bin,bin-runtime,clone-bin,devdoc,interface,opcodes,userdoc return code: 1 stderr: stdout: Invalid option to --combined-json: clone-bin

EDIT Im running this on Jupyter notebook where envoirnmental variable for python3.6 is setted up I have no clue why I'm getting them. Anyone can help?

0

Latest version of solc has removed few options.

The --clone-bin and --combined-json clone-bin command line options were removed.

https://solidity.readthedocs.io/en/latest/050-breaking-changes.html

You can downgrade the version if this functionality is required.

  • Thanks for your reply. its actually Jupyter notebook output – Tabz Dec 4 '18 at 0:20

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.